#!/bin/bash

find . -type f -name "*.make" | egrep -e "\/(drustack_.*\.make|build-drustack.make|drupal-org.make)" | while read FILE; do
    cat $FILE | grep '\[download\]\[branch\]' | while read LINE; do
        echo $FILE
        echo $LINE
        PROJECT=`echo $LINE | sed "s/projects\[\(.*\)\]\[download\].* = \(.*\)/\1/g"`
        BRANCH=`echo $LINE | sed "s/projects\[\(.*\)\]\[download\].* = \(.*\)/\2/g"`
        GIT="git --git-dir=`find . -type f -name ".git" | egrep -e "\/$PROJECT\/.git" | egrep -e "(modules|themes|profiles)"`"
        $GIT fetch origin
        $GIT fetch drupal
        $GIT checkout $BRANCH
        $GIT pull
        $GIT status
    done
done

find . -type f -name "*.make" | egrep -e "\/(drustack_.*\.make|build-drustack.make|drupal-org.make)" | while read FILE; do
    cat $FILE | grep '\[download\]\[tag\]' | while read LINE; do
        echo $FILE
        echo $LINE
        PROJECT=`echo $LINE | sed "s/projects\[\(.*\)\]\[download\].* = \(.*\)/\1/g"`
        TAG=`echo $LINE | sed "s/projects\[\(.*\)\]\[download\].* = \(.*\)/\2/g"`
        GIT="git --git-dir=`find . -type f -name ".git" | egrep -e "\/$PROJECT\/.git" | egrep -e "(modules|themes|profiles)"`"
        $GIT fetch origin
        $GIT fetch drupal
        $GIT checkout $TAG
        $GIT status
    done
done

find sites/all/libraries -type f -name "*.git" | while read LINE; do
    echo $LINE
    GIT="git --git-dir=$LINE"
    $GIT fetch
    $GIT pull
    $GIT status
done
